Bug 1477092 (CVE-2017-12066) - CVE-2017-12066 cacti: XSS vulnerability in aggregate_graphs.php
Summary: CVE-2017-12066 cacti: XSS vulnerability in aggregate_graphs.php
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-12066
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1477093 1477094
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-01 08:31 UTC by Adam Mariš
Modified: 2019-09-29 14:18 UTC (History)
2 users (show)

Fixed In Version: cacti 1.1.16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:19:35 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-08-01 08:31:08 UTC
Cross-site scripting (XSS) vulnerability in aggregate_graphs.php in
Cacti before 1.1.16 allows remote authenticated users to inject
arbitrary web script or HTML via specially crafted HTTP Referer
headers, related to the $cancel_url variable. NOTE: this vulnerability
exists because of an incomplete fix (lack of the htmlspecialchars
ENT_QUOTES flag) for CVE-2017-11163.

Upstream bug:

https://github.com/Cacti/cacti/issues/877

Comment 1 Adam Mariš 2017-08-01 08:32:01 UTC
Created cacti tracking bugs for this issue:

Affects: epel-all [bug 1477093]
Affects: fedora-all [bug 1477094]

Comment 2 Product Security DevOps Team 2019-06-08 03:19:35 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.